Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::ParameterDef Class Reference

Definition of a parameter supported by a StringInterface class, for introspection. More...

`#include <OgreStringInterface.h>`

List of all members.

## Public Member Functions
| ParameterDef (const String &newName, const String &newDescription, ParameterType newType)
## Public Attributes
String | name
String | description
ParameterType | paramType

## Detailed Description

Definition of a parameter supported by a StringInterface class, for introspection.

Definition at line 60 of file OgreStringInterface.h.

## Constructor & Destructor Documentation

Ogre::ParameterDef::ParameterDef | ( | const String & | newName,
|  | const String & | newDescription,
|  | ParameterType | newType
| ) |

| Definition at line 66 of file OgreStringInterface.h.

## Member Data Documentation

String Ogre::ParameterDef::description

| Definition at line 64 of file OgreStringInterface.h.

String Ogre::ParameterDef::name

| Definition at line 63 of file OgreStringInterface.h.

ParameterType Ogre::ParameterDef::paramType

| Definition at line 65 of file OgreStringInterface.h.

The documentation for this class was generated from the following file:

- OgreStringInterface.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:53:38 2007